## Statistics With R--Second Edition
## Robert Stinerock

#                  HOW TO MAKE A BAR GRAPH


#       SEE FIGURE 2.1 IN CHAPTER 2, SECTION 2.1

#-----------------------------------------------------------------

# (1) Make the C2_1 data set (from Chapter 2, Section 2.1)

C2_1 <- c(rep('Latin', 3), rep('Europe', 4), rep('US', 8),
          rep('India', 10), rep('China', 15))

C2_1 <- data.frame(Region = C2_1) # Convert C2_1 vector into data frame)


library(ggplot2) # load ggplot2


# (2) Make the bar graph of the student origin data.

ggplot(C2_1, aes(Region)) +
  geom_bar(fill = "blue") +
  ggtitle("Bar Graph of Student Origin Data") +
  xlab("Country/Region") +
  ylab("Number of Students")