

## Statistics With R--Second Edition
## Robert Stinerock


#                     HOW TO MAKE A BOX PLOT


#       SEE FIGURE 3.1 IN CHAPTER 3, SECTION 3.1


#-----------------------------------------------------------------


#(1) Load the ggplot2 package.

library('ggplot2')


# (2) Import csv data set

jobs <- read.csv('jobs.csv')


#(3) Make a box plot image of jobs data

ggplot(jobs, aes(x = Position, y = Salary, color = Position)) +
  geom_boxplot(outlier.color = 'black', 
               outlier.shape = 8, 
               outlier.size = 4) +
  ggtitle("Starting Salaries For Recent Graduates of an MBA Program") +
  xlab("Field") +
  ylab("Starting Salary (in AU$)")