

# Statistics with R - Second Edition
# Robert Stinerock


#     HOW TO FIND THE CONFIDENCE INTERVAL ESTIMATE OF A POPULATION PROPORTION


#               SEE EXAMPLE 8.18 OF CHAPTER 8, SECTION 8.4

#----------------------------------------------------------------------------


# (1) Using the rsph.csv data to demonstrate how to solve Example 8.18 in text

rsph <- read.csv('rsph.csv') # Import the rsph.csv data into the R Workspace

t.test(rsph$response, conf.level = 0.95)






#-----------------------------------------------------------------------------
# Now for a bit of practice on a more general case:

# Note: for the purpose of showing how to find confidence intervals of
# a population proportion, we first create a vector that contains 350 values
# of 0 and 150 values of 1, and second convert it into a data frame. The
# variable name is response.

mydata1 <- c(rep(0, 350), rep(1, 150)) # make vector; name it mydata1

mydata2 <- data.frame(response = mydata1); table(mydata2) # make data frame; name it mydata2


# (2)  How to find a 99% confidence interval estimate of the proportion for
#      of mydata2$response

confidence <-  0.99

t.test(mydata2$response, conf.level = confidence)




# (3)  How to find a 95% confidence interval estimate of the proportion for
#      of mydata2$response

confidence <-  0.95

t.test(mydata2$response, conf.level = confidence)




# (4)  How to find a 90% confidence interval estimate of the proportion for
#      of mydata2$response

confidence <-  0.90

t.test(mydata2$response, conf.level = confidence)