## Statistics With R--Second Edition
## Robert Stinerock

#                         HOW TO MAKE A HISTOGRAM


#       SEE FIGURE 2.3 IN CHAPTER 2, SECTION 2.2

#-----------------------------------------------------------------

# (1)  Load the ggplot2 package.

library('ggplot2')


# (2) Import csv data set.

tv_hours <- read.csv('tv_hours.csv')


# (3) Make the histogram of tv_viewing data.

ggplot(tv_hours, aes(x = hours)) +
  geom_histogram(fill = "blue", col = "black", 
                 breaks = seq(0, 25, by = 5)) +
  ggtitle("Histogram of Hours of Television Viewing") +
  xlab("Hours") +
  ylab("Frequency") + 
  xlim(c(0, 30)) +
  ylim(c(0, 50))