

# Statistics with R - 2nd Edition
# Robert Stinerock

#             HOW TO CONDUCT LOGISTIC REGRESSION ANALYSIS


#                   SEE CHAPTER 13, SECTION 13.12 


# LOGISTIC REGRESSION: (1) THE LOGISTIC REGRESSION PROCEDURE; (2) EXTRACTING 
# THE PARAMETERS OF THE ESTIMATED LOGISTIC REGRESSION EQUATION 

#----------------------------------------------------------------------------

options(scipen = 999)


fah <- read.csv('fresh_at_home.csv') # Import the fresh_at_home.csv data

# (1) Dependent variable is Prepay; the independent variables are Pounds
# and Member; the model object is homedelivery

homedelivery <- glm(Prepay ~ Pounds + Member, data = fah, family = binomial)



# Use the summary(homedelivery) extractor function to unpack the results of
# the analysis

summary(homedelivery)




