
## Statistics with R - Second edition
## Robert Stinerock



# MEASURES OF VARIATION: (1) RANGE, (2) INTERQUARTILE RANGE,
# (3) VARIANCE, (4) STANDARD DEVIATION, (5) COEFFICIENT OF VARIATION



#     SEE EXAMPLES 3.8 - 3.13 IN CHAPTER 3, SECTION 3.4 

#-----------------------------------------------------------------




housing <- read.csv('housing.csv') # Import housing.csv data


# (1) Range

max(housing$rent) - min(housing$rent)



# (2) Interquartile range

IQR(housing$rent, type = 2)



# (3) Variance

# create Table 3.5 data set; assign it to C3_1.

C3_1 <- c(40, 45, 38, 50, 47)


var(C3_1)



# (4) Standard deviation

sd(C3_1)




# (5) Coefficient of variation

sd(C3_1) / mean(C3_1) # Using Table 3.5 data



sd(housing$rent) / mean(housing$rent)  # Using the housing.csv data




