

# Statistics with R - Second Edition
# Robert Stinerock

#       HOW TO FIND NORMAL PROBABILITIES


#     SEE EXAMPLES 6.17, 6.18, 6.19 AND 6.20 OF CHAPTER 6, SECTION 6.2

#----------------------------------------------------------------------------

# (1) Normal probability: p(x < 95, mu = 100, sigma = 15) 

x <- 95

mu <- 100

sigma <- 15

pnorm(x, mu, sigma)




# (2) Normal probability: p(x > 110, mu = 100, sigma = 15) 

x <- 110

mu <- 100

sigma <- 15

pnorm(x, mu, sigma, lower.tail = FALSE)


# or


1 - pnorm(x, mu, sigma)




# (3) Normal probability: p(90 < x < 110, mu = 100, sigma = 15) 

x2 <- 110

x1 <- 90

mu <- 100

sigma <- 15

pnorm(x2, mu, sigma) - pnorm(x1, mu, sigma)




# (4) Normal probability: If x ~ N(mu = 100, sigma = 15), what value of x
# cuts off an area of 0.01 in the upper tail?

mu <- 100

sigma <- 15

alpha <- 0.01

qnorm(alpha, mu, sigma, lower.tail = FALSE)




# (5) Normal probability: If x ~ N(mu = 100, sigma = 15), what value of x
# cuts off an area of 0.01 in the lower tail?

mu <- 100

sigma <- 15

alpha <- 0.01

qnorm(alpha, mu, sigma)