
# Statistics with R - Second Edition
# Robert Stinerock

#                   HOW TO FIND POISSON PROBABILITIES


#               SEE EXAMPLE 5.8 OF CHAPTER 5, SECTION 5.5

#----------------------------------------------------------------------------

# (1) Poisson probability: p(x = 15, mu = 20) 

x <- 15

mu <- 20

dpois(x, mu)




# (2) Poisson probability: p(x <= 20, mu = 20) 

x <- 20

mu <- 20

ppois(x, mu)

# or

sum(dpois(0 : x, mu))


# (3) Poisson probability: p(x > 20, mu = 20) 

x <- 20

mu <- 20

1 - ppois(x, mu)




# (4) Poisson probability: p(15 < x <= 25, mu = 20)

x2 <- 25

x1 <- 15

mu = 20

ppois(x2, mu) - ppois(x1, mu)

# or

sum(dpois(16 : 25, 20))
