


# Statistics with R - Second Edition
# Robert Stinerock


#   HYPOTHESIS TESTS OF THE POPULATION PROPORTION: TWO-TAIL AND ONE-TAIL TESTS


#               SEE EXAMPLE 10.14 OF CHAPTER 10, SECTION 10.5

#----------------------------------------------------------------------------


# Note: for the purpose of showing how to conduct a hypothesis test 
# a population proportion, we first create a vector that contains 586 values
# of 0 and 1190 values of 1, and second convert it into a data frame. 



mydata1 <- c(rep(0, 586), rep(1, 1190)) # make vector; name it mydata1

mydata2 <- data.frame(response = mydata1) # make data frame; name it mydata2

table(mydata2) # confirm composition of mydata2




# (1)  Two-tail test of population proportion 

prop.test(1190, 1776, p = 0.70, correct = FALSE)




# (2)  Lower-tail test of population proportion 

prop.test(1190, 1776, p = 0.70, alternative = 'l', correct = FALSE)




# (3)  Upper-tail test of population proportion 

prop.test(1190, 1776, p = 0.70, alternative = 'g', correct = FALSE)