

# Statistics with R - Second Edition
# Robert Stinerock



#     SAMPLE SIZE DETERMINATION FOR INTERVAL ESTIMATE OF POPULATION MEAN


#     SEE EXAMPLES 8.15 AND 8.17 OF CHAPTER 8, SECTION 8.3

#----------------------------------------------------------------------------

# (1) Determine sample size for Example 8.15: confidence level is 95%;
# population standard deviation is 25; planned margin of error is 2.5.

confidence <- 0.95 # desired confidence of interval estimate

sigma <- 25 # population standard deviation
  
pme <- 2.5 # planned margin of error

alpha <- 1 - confidence

n <- (qnorm(1 - alpha/2) * (sigma) / (pme))^2 ; n




# (2) Determine sample size for Example 8.17: confidence level is 99%;
# population standard deviation is 25; planned margin of error is 2.5.

confidence <- 0.99 # desired confidence of interval estimate

sigma <- 25 # population standard deviation

pme <- 2.5 # planned margin of error

alpha <- 1 - confidence

n <- (qnorm(1 - alpha/2) * (sigma) / (pme))^2 ; n
