

# Statistics with R - Second Edition
# Robert Stinerock


#     SAMPLE SIZE DETERMINATION FOR INTERVAL ESTIMATE OF POPULATION PROPORTION


#             SEE EXAMPLES 8.19 AND 8.20 OF CHAPTER 8, SECTION 8.5

#----------------------------------------------------------------------------


# (1) Determine sample size for Example 8.19: confidence level is 95%;
# planning value p = 0.76; and planned margin of error is 0.015.

confidence <- 0.95 # desired confidence of interval estimate

p <- 0.76 # planning value for p

pme <- 0.015 # planned margin of error

alpha <- 1 - confidence

n <- ((qnorm(1 - alpha/2) / (pme))^2) * p * (1 - p);  n




# (2) Determine sample size for Example 8.20: confidence level is 95%;
# planning value p = 0.50; and planned margin of error is 0.015.

confidence <- 0.95 # desired confidence of interval estimate

p <- 0.50 # planning value for p

pme <- 0.015 # planned margin of error

alpha <- 1 - confidence

n <- ((qnorm(1 - alpha/2) / (pme))^2) * p * (1 - p);  n