## Statistics With R--Second Edition
## Robert Stinerock

#                         HOW TO MAKE A SCATTERPLOT

#     SEE FIGURE 1.15 IN THE CHAPTER 1 APPENDIX

#-----------------------------------------------------------------

# (1)  Load the ggplot2 package

library(ggplot2)


# (2) Use the ggplot() function to create a plot of the relationship 
#     between mpg and wt. See Ch. 1 Appendix for explanation.

ggplot(mtcars, aes(x = wt, y = mpg)) +
  geom_point() +
  geom_smooth(method = "lm") +
  ggtitle("A Plot of Mileage Against Vehicle Weight") +
  xlab("Weight (thousand of pounds)") +
  ylab("Miles per Gallon")